[gnome-chess] Update to newer sample autogen.sh
- From: Michael Catanzaro <mcatanzaro src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-chess] Update to newer sample autogen.sh
- Date: Sat, 5 Sep 2015 17:20:56 +0000 (UTC)
commit 06836ffc2edd2ca901c11e45d11f2b6f86d40cac
Author: Michael Catanzaro <mcatanzaro gnome org>
Date: Sat Sep 5 12:20:40 2015 -0500
Update to newer sample autogen.sh
autogen.sh | 35 +++++++++++++++++++----------------
1 files changed, 19 insertions(+), 16 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 464c5f1..31f75a6 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,36 +1,39 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
-(test -f $srcdir/configure.ac) || {
- echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
+olddir=`pwd`
+
+cd $srcdir
+
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
exit 1
}
-PKG_NAME=`autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac"`
+if [ -d $srcdir/.git ] && [ ! -e $srcdir/.git/hooks/pre-commit ]; then
+ ln -s ../../../libgames-support/style-checker $srcdir/.git/hooks/pre-commit && echo "Enabled
pre-commit style checker." || :
+fi
+
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
- echo "**Warning**: I am going to run \`configure' with no arguments." >&2
- echo "If you wish to pass any to it, please specify them on the" >&2
- echo \`$0\'" command line." >&2
+ echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** \`$0\' command line." >&2
echo "" >&2
fi
-if [ -d $srcdir/.git ] && [ ! -e $srcdir/.git/hooks/pre-commit ]; then
- ln -s ../../../libgames-support/style-checker $srcdir/.git/hooks/pre-commit && echo "Enabled
pre-commit style checker." || :
-fi
-
-set -x
aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+gtkdocize --copy || exit 1
intltoolize --force --copy --automake || exit 1
autoreconf --verbose --force --install -Wno-portability || exit 1
-{ set +x; } 2>/dev/null
+cd $olddir
if [ "$NOCONFIGURE" = "" ]; then
- set -x
$srcdir/configure "$@" || exit 1
- { set +x; } 2>/dev/null
if [ "$1" = "--help" ]; then exit 0 else
echo "Now type \`make\' to compile $PKG_NAME" || exit 1
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]